<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link rel="stylesheet" type="text/css" href="../styles.css" media="all">
<title>Téléchargement</title>
</head>
<body>
<div id="corps">
<div id="contenu">
<h3>Téléchargement</h3>
<p> !!! à utiliser avec modération !!!</p>
<p>Il est possible de télécharger des fichiers dans un dossier (nommé data) sur le serveur distant où se trouve ce wiki ; ils seront donc accessibles depuis internet en les référençant comme indiqué dans l'aide ; la taille des fichiers ne doit pas dépasser 100ko et leur type doit être parmi les suivants : </p>
<ul>
	<li>image avec l'extension : jpeg ou jpg, gif, png</li>
	<li>fichier PDF avec l'extension : pdf</li>
	<li>texte avec l'extension : html ou htm, css</li>
	<li>son avec l'extension : wav</li>
	<li>video avec l'extension : qt, mov</li>
</ul>
<p>Ces fichiers pourront être appelés suivant l'une des méthodes suivantes :
<ul>
	<li>nom_image.ext : &lt;img src="data/nom_image.ext" width="xxx"&gt;</li>
	<li>nom_fichier.pdf : &lt;a href="data/nom_fichier.pdf"&gt;nom_fichier.pdf&lt;/a&gt;</li>
	<li>nom_son.wav : &lt;embed src="data/nom_son.wav"&gt;</li>
	<li>nom_video.ext : &lt;embed src="data/nom_video.ext"&gt;</li>
</ul>
<p>Attention : il n'y a aucun contrôle sur l'existence de tel ou tel fichier, des écrasements sont donc possibles. La solution proposée est à considérer comme temporaire, chacun a intérêt à créer son propre dossier sur un serveur distant et à y télécharger ses fichiers qui seront normalement pointés ici.</p>

<h3>Choisir un fichier à télécharger :</h3>
<?php
	include "../lib.php";
	echo afficher_formulaire_telechargement()."<br>";
	if( isset($_POST['phase']) && ('traitement' == $_POST['phase']) )
		executer_telechargement();
?>
</div>
</div>
</body>
</html>
